# dbbi.h File Reference

C++ API: Dictionary Based Break Iterator. More...

`#include "unicode/rbbi.h"`

Go to the source code of this file.

## Typedefs
typedef RuleBasedBreakIterator | DictionaryBasedBreakIterator
| An obsolete subclass of RuleBasedBreakIterator.

## Detailed Description

C++ API: Dictionary Based Break Iterator.

Definition in file dbbi.h.

## Typedef Documentation

typedef RuleBasedBreakIterator DictionaryBasedBreakIterator

An obsolete subclass of RuleBasedBreakIterator.

Handling of dictionary- based break iteration has been folded into the base class. This class is deprecated as of ICU 3.6.

Definition at line 33 of file dbbi.h.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines